Index: XIOS3/trunk/src/interface/fortran/redistribute_axis_interface.f90
===================================================================
--- XIOS3/trunk/src/interface/fortran/redistribute_axis_interface.f90	(revision 2616)
+++ XIOS3/trunk/src/interface/fortran/redistribute_axis_interface.f90	(revision 2616)
@@ -0,0 +1,22 @@
+MODULE REDISTRIBUTE_AXIS_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_redistribute_axis_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_redistribute_axis_handle_create
+
+      SUBROUTINE cxios_redistribute_axis_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_redistribute_axis_valid_id
+
+   END INTERFACE
+
+END MODULE REDISTRIBUTE_AXIS_INTERFACE
Index: XIOS3/trunk/src/interface/fortran/redistribute_domain_interface.f90
===================================================================
--- XIOS3/trunk/src/interface/fortran/redistribute_domain_interface.f90	(revision 2616)
+++ XIOS3/trunk/src/interface/fortran/redistribute_domain_interface.f90	(revision 2616)
@@ -0,0 +1,22 @@
+MODULE REDISTRIBUTE_DOMAIN_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_redistribute_domain_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_redistribute_domain_handle_create
+
+      SUBROUTINE cxios_redistribute_domain_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_redistribute_domain_valid_id
+
+   END INTERFACE
+
+END MODULE REDISTRIBUTE_DOMAIN_INTERFACE
Index: XIOS3/trunk/src/interface/fortran/redistribute_scalar_interface.f90
===================================================================
--- XIOS3/trunk/src/interface/fortran/redistribute_scalar_interface.f90	(revision 2616)
+++ XIOS3/trunk/src/interface/fortran/redistribute_scalar_interface.f90	(revision 2616)
@@ -0,0 +1,22 @@
+MODULE REDISTRIBUTE_SCALAR_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_redistribute_scalar_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_redistribute_scalar_handle_create
+
+      SUBROUTINE cxios_redistribute_scalar_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_redistribute_scalar_valid_id
+
+   END INTERFACE
+
+END MODULE REDISTRIBUTE_SCALAR_INTERFACE
Index: XIOS3/trunk/src/interface/fortran_attr/axis_interface_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/axis_interface_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/axis_interface_attr.F90	(revision 2616)
@@ -113,4 +113,23 @@
 
 
+    SUBROUTINE cxios_set_axis_chunking_weight(axis_hdl, chunking_weight) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: chunking_weight
+    END SUBROUTINE cxios_set_axis_chunking_weight
+
+    SUBROUTINE cxios_get_axis_chunking_weight(axis_hdl, chunking_weight) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+      REAL (KIND=C_DOUBLE)             :: chunking_weight
+    END SUBROUTINE cxios_get_axis_chunking_weight
+
+    FUNCTION cxios_is_defined_axis_chunking_weight(axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_chunking_weight
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_chunking_weight
+
+
     SUBROUTINE cxios_set_axis_comment(axis_hdl, comment, comment_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS3/trunk/src/interface/fortran_attr/axisgroup_interface_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/axisgroup_interface_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/axisgroup_interface_attr.F90	(revision 2616)
@@ -113,4 +113,23 @@
 
 
+    SUBROUTINE cxios_set_axisgroup_chunking_weight(axisgroup_hdl, chunking_weight) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: chunking_weight
+    END SUBROUTINE cxios_set_axisgroup_chunking_weight
+
+    SUBROUTINE cxios_get_axisgroup_chunking_weight(axisgroup_hdl, chunking_weight) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+      REAL (KIND=C_DOUBLE)             :: chunking_weight
+    END SUBROUTINE cxios_get_axisgroup_chunking_weight
+
+    FUNCTION cxios_is_defined_axisgroup_chunking_weight(axisgroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_chunking_weight
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_chunking_weight
+
+
     SUBROUTINE cxios_set_axisgroup_comment(axisgroup_hdl, comment, comment_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS3/trunk/src/interface/fortran_attr/context_interface_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/context_interface_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/context_interface_attr.F90	(revision 2616)
@@ -29,4 +29,170 @@
 
 
+    SUBROUTINE cxios_set_context_default_gatherer(context_hdl, default_gatherer, default_gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: default_gatherer_size
+    END SUBROUTINE cxios_set_context_default_gatherer
+
+    SUBROUTINE cxios_get_context_default_gatherer(context_hdl, default_gatherer, default_gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: default_gatherer_size
+    END SUBROUTINE cxios_get_context_default_gatherer
+
+    FUNCTION cxios_is_defined_context_default_gatherer(context_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_default_gatherer
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_default_gatherer
+
+
+    SUBROUTINE cxios_set_context_default_pool(context_hdl, default_pool, default_pool_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_pool
+      INTEGER  (kind = C_INT)     , VALUE        :: default_pool_size
+    END SUBROUTINE cxios_set_context_default_pool
+
+    SUBROUTINE cxios_get_context_default_pool(context_hdl, default_pool, default_pool_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_pool
+      INTEGER  (kind = C_INT)     , VALUE        :: default_pool_size
+    END SUBROUTINE cxios_get_context_default_pool
+
+    FUNCTION cxios_is_defined_context_default_pool(context_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_default_pool
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_default_pool
+
+
+    SUBROUTINE cxios_set_context_default_pool_gatherer(context_hdl, default_pool_gatherer, default_pool_gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_pool_gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: default_pool_gatherer_size
+    END SUBROUTINE cxios_set_context_default_pool_gatherer
+
+    SUBROUTINE cxios_get_context_default_pool_gatherer(context_hdl, default_pool_gatherer, default_pool_gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_pool_gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: default_pool_gatherer_size
+    END SUBROUTINE cxios_get_context_default_pool_gatherer
+
+    FUNCTION cxios_is_defined_context_default_pool_gatherer(context_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_default_pool_gatherer
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_default_pool_gatherer
+
+
+    SUBROUTINE cxios_set_context_default_pool_reader(context_hdl, default_pool_reader, default_pool_reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_pool_reader
+      INTEGER  (kind = C_INT)     , VALUE        :: default_pool_reader_size
+    END SUBROUTINE cxios_set_context_default_pool_reader
+
+    SUBROUTINE cxios_get_context_default_pool_reader(context_hdl, default_pool_reader, default_pool_reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_pool_reader
+      INTEGER  (kind = C_INT)     , VALUE        :: default_pool_reader_size
+    END SUBROUTINE cxios_get_context_default_pool_reader
+
+    FUNCTION cxios_is_defined_context_default_pool_reader(context_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_default_pool_reader
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_default_pool_reader
+
+
+    SUBROUTINE cxios_set_context_default_pool_writer(context_hdl, default_pool_writer, default_pool_writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_pool_writer
+      INTEGER  (kind = C_INT)     , VALUE        :: default_pool_writer_size
+    END SUBROUTINE cxios_set_context_default_pool_writer
+
+    SUBROUTINE cxios_get_context_default_pool_writer(context_hdl, default_pool_writer, default_pool_writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_pool_writer
+      INTEGER  (kind = C_INT)     , VALUE        :: default_pool_writer_size
+    END SUBROUTINE cxios_get_context_default_pool_writer
+
+    FUNCTION cxios_is_defined_context_default_pool_writer(context_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_default_pool_writer
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_default_pool_writer
+
+
+    SUBROUTINE cxios_set_context_default_reader(context_hdl, default_reader, default_reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_reader
+      INTEGER  (kind = C_INT)     , VALUE        :: default_reader_size
+    END SUBROUTINE cxios_set_context_default_reader
+
+    SUBROUTINE cxios_get_context_default_reader(context_hdl, default_reader, default_reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_reader
+      INTEGER  (kind = C_INT)     , VALUE        :: default_reader_size
+    END SUBROUTINE cxios_get_context_default_reader
+
+    FUNCTION cxios_is_defined_context_default_reader(context_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_default_reader
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_default_reader
+
+
+    SUBROUTINE cxios_set_context_default_using_server2(context_hdl, default_using_server2) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: default_using_server2
+    END SUBROUTINE cxios_set_context_default_using_server2
+
+    SUBROUTINE cxios_get_context_default_using_server2(context_hdl, default_using_server2) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      LOGICAL (KIND=C_BOOL)             :: default_using_server2
+    END SUBROUTINE cxios_get_context_default_using_server2
+
+    FUNCTION cxios_is_defined_context_default_using_server2(context_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_default_using_server2
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_default_using_server2
+
+
+    SUBROUTINE cxios_set_context_default_writer(context_hdl, default_writer, default_writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_writer
+      INTEGER  (kind = C_INT)     , VALUE        :: default_writer_size
+    END SUBROUTINE cxios_set_context_default_writer
+
+    SUBROUTINE cxios_get_context_default_writer(context_hdl, default_writer, default_writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: default_writer
+      INTEGER  (kind = C_INT)     , VALUE        :: default_writer_size
+    END SUBROUTINE cxios_get_context_default_writer
+
+    FUNCTION cxios_is_defined_context_default_writer(context_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_default_writer
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_default_writer
+
+
     SUBROUTINE cxios_set_context_output_dir(context_hdl, output_dir, output_dir_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS3/trunk/src/interface/fortran_attr/domain_interface_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/domain_interface_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/domain_interface_attr.F90	(revision 2616)
@@ -31,4 +31,46 @@
 
 
+    SUBROUTINE cxios_set_domain_area_1d(domain_hdl, area_1d, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: domain_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: area_1d
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_set_domain_area_1d
+
+    SUBROUTINE cxios_get_domain_area_1d(domain_hdl, area_1d, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: domain_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: area_1d
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_get_domain_area_1d
+
+    FUNCTION cxios_is_defined_domain_area_1d(domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_area_1d
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_area_1d
+
+
+    SUBROUTINE cxios_set_domain_area_2d(domain_hdl, area_2d, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: domain_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: area_2d
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_set_domain_area_2d
+
+    SUBROUTINE cxios_get_domain_area_2d(domain_hdl, area_2d, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: domain_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: area_2d
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_get_domain_area_2d
+
+    FUNCTION cxios_is_defined_domain_area_2d(domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_area_2d
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_area_2d
+
+
     SUBROUTINE cxios_set_domain_bounds_lat_1d(domain_hdl, bounds_lat_1d, extent) BIND(C)
       USE ISO_C_BINDING
@@ -157,4 +199,42 @@
 
 
+    SUBROUTINE cxios_set_domain_chunking_weight_i(domain_hdl, chunking_weight_i) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: chunking_weight_i
+    END SUBROUTINE cxios_set_domain_chunking_weight_i
+
+    SUBROUTINE cxios_get_domain_chunking_weight_i(domain_hdl, chunking_weight_i) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+      REAL (KIND=C_DOUBLE)             :: chunking_weight_i
+    END SUBROUTINE cxios_get_domain_chunking_weight_i
+
+    FUNCTION cxios_is_defined_domain_chunking_weight_i(domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_chunking_weight_i
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_chunking_weight_i
+
+
+    SUBROUTINE cxios_set_domain_chunking_weight_j(domain_hdl, chunking_weight_j) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: chunking_weight_j
+    END SUBROUTINE cxios_set_domain_chunking_weight_j
+
+    SUBROUTINE cxios_get_domain_chunking_weight_j(domain_hdl, chunking_weight_j) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+      REAL (KIND=C_DOUBLE)             :: chunking_weight_j
+    END SUBROUTINE cxios_get_domain_chunking_weight_j
+
+    FUNCTION cxios_is_defined_domain_chunking_weight_j(domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_chunking_weight_j
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_chunking_weight_j
+
+
     SUBROUTINE cxios_set_domain_comment(domain_hdl, comment, comment_size) BIND(C)
       USE ISO_C_BINDING
@@ -763,4 +843,25 @@
 
 
+    SUBROUTINE cxios_set_domain_nvertex_name(domain_hdl, nvertex_name, nvertex_name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: nvertex_name
+      INTEGER  (kind = C_INT)     , VALUE        :: nvertex_name_size
+    END SUBROUTINE cxios_set_domain_nvertex_name
+
+    SUBROUTINE cxios_get_domain_nvertex_name(domain_hdl, nvertex_name, nvertex_name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: nvertex_name
+      INTEGER  (kind = C_INT)     , VALUE        :: nvertex_name_size
+    END SUBROUTINE cxios_get_domain_nvertex_name
+
+    FUNCTION cxios_is_defined_domain_nvertex_name(domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_nvertex_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_nvertex_name
+
+
     SUBROUTINE cxios_set_domain_prec(domain_hdl, prec) BIND(C)
       USE ISO_C_BINDING
Index: XIOS3/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90	(revision 2616)
@@ -31,4 +31,46 @@
 
 
+    SUBROUTINE cxios_set_domaingroup_area_1d(domaingroup_hdl, area_1d, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: area_1d
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_set_domaingroup_area_1d
+
+    SUBROUTINE cxios_get_domaingroup_area_1d(domaingroup_hdl, area_1d, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: area_1d
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_get_domaingroup_area_1d
+
+    FUNCTION cxios_is_defined_domaingroup_area_1d(domaingroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_area_1d
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_area_1d
+
+
+    SUBROUTINE cxios_set_domaingroup_area_2d(domaingroup_hdl, area_2d, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: area_2d
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_set_domaingroup_area_2d
+
+    SUBROUTINE cxios_get_domaingroup_area_2d(domaingroup_hdl, area_2d, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: area_2d
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_get_domaingroup_area_2d
+
+    FUNCTION cxios_is_defined_domaingroup_area_2d(domaingroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_area_2d
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_area_2d
+
+
     SUBROUTINE cxios_set_domaingroup_bounds_lat_1d(domaingroup_hdl, bounds_lat_1d, extent) BIND(C)
       USE ISO_C_BINDING
@@ -157,4 +199,42 @@
 
 
+    SUBROUTINE cxios_set_domaingroup_chunking_weight_i(domaingroup_hdl, chunking_weight_i) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: chunking_weight_i
+    END SUBROUTINE cxios_set_domaingroup_chunking_weight_i
+
+    SUBROUTINE cxios_get_domaingroup_chunking_weight_i(domaingroup_hdl, chunking_weight_i) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)             :: chunking_weight_i
+    END SUBROUTINE cxios_get_domaingroup_chunking_weight_i
+
+    FUNCTION cxios_is_defined_domaingroup_chunking_weight_i(domaingroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_chunking_weight_i
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_chunking_weight_i
+
+
+    SUBROUTINE cxios_set_domaingroup_chunking_weight_j(domaingroup_hdl, chunking_weight_j) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: chunking_weight_j
+    END SUBROUTINE cxios_set_domaingroup_chunking_weight_j
+
+    SUBROUTINE cxios_get_domaingroup_chunking_weight_j(domaingroup_hdl, chunking_weight_j) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)             :: chunking_weight_j
+    END SUBROUTINE cxios_get_domaingroup_chunking_weight_j
+
+    FUNCTION cxios_is_defined_domaingroup_chunking_weight_j(domaingroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_chunking_weight_j
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_chunking_weight_j
+
+
     SUBROUTINE cxios_set_domaingroup_comment(domaingroup_hdl, comment, comment_size) BIND(C)
       USE ISO_C_BINDING
@@ -784,4 +864,25 @@
 
 
+    SUBROUTINE cxios_set_domaingroup_nvertex_name(domaingroup_hdl, nvertex_name, nvertex_name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: nvertex_name
+      INTEGER  (kind = C_INT)     , VALUE        :: nvertex_name_size
+    END SUBROUTINE cxios_set_domaingroup_nvertex_name
+
+    SUBROUTINE cxios_get_domaingroup_nvertex_name(domaingroup_hdl, nvertex_name, nvertex_name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: nvertex_name
+      INTEGER  (kind = C_INT)     , VALUE        :: nvertex_name_size
+    END SUBROUTINE cxios_get_domaingroup_nvertex_name
+
+    FUNCTION cxios_is_defined_domaingroup_nvertex_name(domaingroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_nvertex_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_nvertex_name
+
+
     SUBROUTINE cxios_set_domaingroup_prec(domaingroup_hdl, prec) BIND(C)
       USE ISO_C_BINDING
Index: XIOS3/trunk/src/interface/fortran_attr/field_interface_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/field_interface_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/field_interface_attr.F90	(revision 2616)
@@ -130,4 +130,23 @@
 
 
+    SUBROUTINE cxios_set_field_chunking_blocksize_target(field_hdl, chunking_blocksize_target) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: chunking_blocksize_target
+    END SUBROUTINE cxios_set_field_chunking_blocksize_target
+
+    SUBROUTINE cxios_get_field_chunking_blocksize_target(field_hdl, chunking_blocksize_target) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      REAL (KIND=C_DOUBLE)             :: chunking_blocksize_target
+    END SUBROUTINE cxios_get_field_chunking_blocksize_target
+
+    FUNCTION cxios_is_defined_field_chunking_blocksize_target(field_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_chunking_blocksize_target
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_chunking_blocksize_target
+
+
     SUBROUTINE cxios_set_field_comment(field_hdl, comment, comment_size) BIND(C)
       USE ISO_C_BINDING
@@ -170,4 +189,65 @@
 
 
+    SUBROUTINE cxios_set_field_compression_params(field_hdl, compression_params, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: field_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: compression_params
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_set_field_compression_params
+
+    SUBROUTINE cxios_get_field_compression_params(field_hdl, compression_params, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: field_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: compression_params
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_get_field_compression_params
+
+    FUNCTION cxios_is_defined_field_compression_params(field_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_compression_params
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_compression_params
+
+
+    SUBROUTINE cxios_set_field_compression_type(field_hdl, compression_type, compression_type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: compression_type
+      INTEGER  (kind = C_INT)     , VALUE        :: compression_type_size
+    END SUBROUTINE cxios_set_field_compression_type
+
+    SUBROUTINE cxios_get_field_compression_type(field_hdl, compression_type, compression_type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: compression_type
+      INTEGER  (kind = C_INT)     , VALUE        :: compression_type_size
+    END SUBROUTINE cxios_get_field_compression_type
+
+    FUNCTION cxios_is_defined_field_compression_type(field_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_compression_type
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_compression_type
+
+
+    SUBROUTINE cxios_set_field_conversion_by_NetCDF(field_hdl, conversion_by_NetCDF) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: conversion_by_NetCDF
+    END SUBROUTINE cxios_set_field_conversion_by_NetCDF
+
+    SUBROUTINE cxios_get_field_conversion_by_NetCDF(field_hdl, conversion_by_NetCDF) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      LOGICAL (KIND=C_BOOL)             :: conversion_by_NetCDF
+    END SUBROUTINE cxios_get_field_conversion_by_NetCDF
+
+    FUNCTION cxios_is_defined_field_conversion_by_NetCDF(field_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_conversion_by_NetCDF
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_conversion_by_NetCDF
+
+
     SUBROUTINE cxios_set_field_default_value(field_hdl, default_value) BIND(C)
       USE ISO_C_BINDING
